CLI : softwarecenter need full path to install a deb package

Bug #669398 reported by Id2ndR on 2010-11-01
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Kiwinote

Bug Description

Binary package hint: software-center

Steps:
$ cd path
$ software-center logmein-hamachi_2.0.0.12-1_amd64.deb
- install the package

Result: aptdeamon can't found the deb package.
Workaround: $ software-center `pwd`/logmein-hamachi_2.0.0.12-1_amd64.deb

Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/aptdaemon/worker.py", line 768, in simulate
    return self._simulate_helper(trans, status_path)
  File "/usr/lib/python2.6/dist-packages/aptdaemon/worker.py", line 841, in _simulate_helper
    self._cache)
  File "/usr/lib/python2.6/dist-packages/apt/debfile.py", line 57, in __init__
    self.open(filename)
  File "/usr/lib/python2.6/dist-packages/apt/debfile.py", line 66, in open
    self._debfile = apt_inst.DebFile(open(self.filename))
IOError: [Errno 2] No such file or directory: 'logmein-hamachi_2.0.0.12-1_amd64.deb'
'
2010-11-01 11:50:44,341 - softwarecenter.backend - WARNING - _on_trans_error: logmein-hamachi
2010-11-01 11:50:44,342 - softwarecenter.backend - ERROR - _on_trans_error
Traceback (most recent call last):
  File "/usr/share/software-center/softwarecenter/backend/aptd.py", line 641, in _run_transaction
    yield trans.run(defer=True)
TransactionFailed: org.debian.apt.TransactionFailed: error-unknown: Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/aptdaemon/worker.py", line 768, in simulate
    return self._simulate_helper(trans, status_path)
  File "/usr/lib/python2.6/dist-packages/aptdaemon/worker.py", line 841, in _simulate_helper
    self._cache)
  File "/usr/lib/python2.6/dist-packages/apt/debfile.py", line 57, in __init__
    self.open(filename)
  File "/usr/lib/python2.6/dist-packages/apt/debfile.py", line 66, in open
    self._debfile = apt_inst.DebFile(open(self.filename))
IOError: [Errno 2] No such file or directory: 'logmein-hamachi_2.0.0.12-1_amd64.deb'

ProblemType: Bug
DistroRelease: Ubuntu 10.10
Package: software-center 3.0.5
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
NonfreeKernelModules: nvidia
Architecture: amd64
CheckboxSubmission: 1085bd3e1d3dc5fdefc443fc7f3687c2
CheckboxSystem: f78c696d4c0399fa91f9da1b540d7fd0
Date: Mon Nov 1 11:52:13 2010
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Beta amd64 (20100901.1)
PackageArchitecture: all
ProcEnviron:
 LANG=fr_FR.utf8
 SHELL=/bin/bash
SourcePackage: software-center

Id2ndR (id2ndr) wrote :
Kiwinote (kiwinote) on 2010-11-01
Changed in software-center (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Kiwinote (kiwinote) on 2010-11-04
Changed in software-center (Ubuntu):
assignee: nobody → Kiwinote (kiwinote)
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 3.1.1

---------------
software-center (3.1.1) natty; urgency=low

  [ Kiwinote ]
  * softwarecenter/app.py:
    - don't require '.deb' extentions for deb files (LP: #656967)
    - don't require absolute paths for deb files (LP: #669398)
  * softwarecenter/view/appdetailsview_gtk.py:
    - correctly reload appdetailsview after a transaction has run
    - _update_minimal() only gets two args

  [ Gary Lasker ]
  * softwarecenter/backend/channel.py,
    softwarecenter/view/channelpane.py,
    softwarecenter/view/viewswitcher.py:
    - convert channel getters to properties
  * softwarecenter/backend/config.py:
    - don't crash on a corrupted config file (LP: #662414)
  * softwarecenter/view/dependency_dialogs.py:
    - fix TypeError crash in remove dependency dialog
      (LP: #669161)
  * softwarecenter/utils.py,
    softwarecenter/view/softwarepane.py,
    softwarecenter/view/widgets/imagedialog.py,
    softwarecenter/view/widgets/spinner.py:
    - refactor spinner code
    - make a spinner panel widget and add label support
  * softwarecenter/backend/aptd.py:
    - fix crash during reload (LP: #673991)

  [ Michael Vogt ]
  * softwarecenter/view/purchasedialog.py:
    - show generic error on purchase failure and log the error
       (LP: #632361)
  * test/test_startup.py:
    - add startup speed baseline/regression test
  * software-center:
    - add --measure-startup-time commandline to allow external apps
      to drive statup performance measuring
  * utils/update-software-center-agent:
    - add --ignore-etag to force reload even if we have a cached version
  * softwarecenter/db/update.py:
    - do not fail if "MimeType" is missing from a desktop file
  * softwarecenter/apt/apthistory.py:
    - use python-apt tagfile parser instead of python-debian
  * debian/control:
    - drop python-debian dependency
  * test/test_gui_buy_something.py:
    - run test with --ignore-etag
  * softwarecenter/apt/aptcache.py, test/test_addons.py:
    - make the addons test more robust

  [ Martin Pitt ]
  * debian/rules: Supply dh --with option after $@, for compatibility with
    current debhelper.
  * debian/control: Build with scour for SVG optimization. Add python-scour
    build dependency.
 -- Michael Vogt <email address hidden> Thu, 18 Nov 2010 16:58:02 +0100

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers